TYPO3.Flow - Bug # 42801

Status: Resolved Priority: Must have
Author: Martin Briiggemann Category: Session
Created: 2012-11-08 Assigned To: Robert Lemke
Updated: 2012-11-12 Due date:

PHP Version: 5.4

Has patch: No

Complexity:
Subject: New FlowSession session class is broken

Description

Unfortunately the new FlowSession patch has been merged today some minutes before | could save my comment at

review.typo3.org. If | switch my Flow project to the new FlowSession save handler | get the following exception if | try to use the ./flow

command:

PHP Fatal error: Call to undefined method TYPOS3\Flow\Cl\CommandRequestHandler::getHttpRequest() in

/var/www/test/releases/20121108105617/Data/Temporary/Production/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Session_H

n_FlowSession_Original.php on line 162

Something seems to be wrong with the FlowSession intialization (should be disabled in Cli-mode?). If | flush the cache and request

my project with the browser | just get a blank white page and nothing is logged (Doctrine proxy generation seems to fail too).

lowSes

Associated revisions

Revision beac8272 - 2012-11-09 21:06 - Robert Lemke

[BUGFIX] Fix FlowSession initialization

This patch fixes the FlowSession initialization for non HTTP-Requests.
Previously the initializeObject() method was trying to retrieve the
HTTP request even from a CLI request handler, resulting in a fatal

error.

Additionally this patch now defines a default storage backend
(FileBackend) for FlowSession. Therefore it's now sufficient to enable
FlowSession in Objects.yaml for getting started.

The garbage collection now is more reliable and triggered when a session
is resumed instead of when the shutdownObject() method is called.

Resolves: #42801

Releases: 1.2
Change-Id: 19f9d03600fd69cfd2d03b585bbcc75009€80d1e3

History

#1 - 2012-11-08 22:24 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Robert Lemke
- Target version set to 2.0 beta 1

For me Neos works fine with the change in place.

#2 - 2012-11-09 06:55 - Martin Briiggemann

@Karsten: Did you activate FlowSession handling in your Caches.yaml like described here?
https://review.typo3.org/#/c/15942/6/Documentation/TheDefinitiveGuide/Partlll/SessionHandling.rst

Which Cache Backend are you using? Old PhpSession handler is running fine.
This is my config:
Caches.yaml

Flow_Session_Storage:

backend: TYPO3\Flow\Cache\Backend\RedisBackend

Objects.yaml
TYPO3\Flow\Session\SessionInterface:

className: TYPO3\Flow\Session\FlowSession

#3 - 2012-11-09 08:29 - Karsten Dambekalns

Martin Briggemann wrote:

@Karsten: Did you activate FlowSession handling

Nah, of course | obviously did not think hard enough. :)

#4 - 2012-11-09 16:51 - Robert Lemke
- Status changed from Needs Feedback to Accepted
- PHP Version setto 5.4

#5 - 2012-11-09 20:39 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16365
https://review.typo3.org/#/c/15942/6/Documentation/TheDefinitiveGuide/PartIII/SessionHandling.rst
http://review.typo3.org/16365

#6 - 2012-11-09 21:06 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16365

#7 - 2012-11-12 15:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:beac8272f684c69cc08df4b5f5e90736279aa654.
